/*
 * @LastEditors: gcz
 */
import { searchApi } from "@/service/index.js";
const addr = {
  state: {
    parentId: "156052",
    parentName: '',
    vuexSelectCity: "",
    vuexSelectDistrict: "",
    vuexSelectStreet: "",
    // 市
    vuexCityList: [],
    // 区
    vuexDistrictList: [],
    // 乡镇
    vuexStreetList: [],
    selectCity: {},
    selectDistrict: {},
    selectStreet: {}
  },
  mutations: {
    // 获取市
    changeCityList(state, cityList) {
      state.vuexCityList = cityList;
    },
    // 获取区
    changeDistrictList(state, districtList) {
      state.vuexDistrictList = districtList;
    },
    // 获取乡镇
    changeStreetList(state, streetList) {
      state.vuexStreetList = streetList;
    },
    // 城市选择data
    changeSelectCity(state, cityData) {
      state.vuexSelectCity = cityData;
    },
    // 区县选择data
    changeSelectDistrict(state, districtData) {
      state.vuexSelectDistrict = districtData;
    },
    // 乡镇选择data
    changeSelectStreet(state, streetData) {
      state.vuexSelectStreet = streetData;
    },
    // 改变省市县级联选择获取数据
    changeParentId(state, n) {
        state.parentId = n.parentId;
        state.parentName = n.name;
        state.mapLevel = n.mapLevel;
    }
  },
  actions: {
    // 获取省市县
    searchArea({ commit }, params = {}) {
        console.log(params)
      searchApi({ parentId: params.parentId }).then(res => {
        if (params.mapLevel == "city") {
          commit("changeDistrictList", res.data);
          commit("changeSelectDistrict",{value:params.parentId,label:params.name})
        } else if (params.mapLevel == "district") {
          commit("changeStreetList", res.data);
          commit("changeSelectStreet",{value:params.parentId,label:params.name})
        } else {
          commit("changeCityList", res.data);
          commit("changeSelectCity",{value:params.parentId,label:params.name})
        }
        commit("changeParentId", params)
      });
    },

  }
};

export default addr;
